import { readFileSync } from 'fs';
import { resolve as resolvePath } from 'path';
import { DATA_DIR } from './constants.js';
export const store = {
    version: -1,
    bySpec: {},
    byTerm: {},
    specmap: {},
    fill() {
        this.byTerm = readJson('xref.json');
        this.bySpec = readJson('specs.json');
        this.specmap = readJson('specmap.json');
        this.version = Date.now();
    },
};
store.fill();
function readJson(filename) {
    const dataFile = resolvePath(DATA_DIR, `./xref/${filename}`);
    const text = readFileSync(dataFile, 'utf8');
    return JSON.parse(text);
}
