/// <reference types="node" />
import { ProcessEnvOptions } from 'child_process';
/**
 * Generate intelligent variations of the term
 * Source: https://github.com/tabatkins/bikeshed/blob/682218b6/bikeshed/refs/utils.py#L52 💖
 */
export declare function textVariations(term: string): Generator<string, void, unknown>;
export declare function pickFields<T>(item: T, fields: (keyof T)[]): Partial<T>;
export declare function objectHash(obj: object): string;
export declare function uniq<T>(items: T[]): T[];
export declare class Cache<K, V> {
    #private;
    constructor(ttl: number);
    set(key: K, value: V): void;
    get(key: K): V | undefined;
    invalidate(): void;
    clear(): void;
}
interface ShOptions extends ProcessEnvOptions {
    output?: 'buffer' | 'stream' | 'silent';
}
/**
 * Asynchronously run a shell command and get its result.
 * @throws {Promise<{ stdout: string, stderr: string, code: number }>}
 */
export declare function sh(command: string, options?: ShOptions): Promise<string>;
export {};
